Bug 719505 - [abrt] ibus-1.3.99.20110419-7.fc15: g_type_check_instance_cast: Process /usr/bin/python was killed by signal 11 (SIGSEGV)
[abrt] ibus-1.3.99.20110419-7.fc15: g_type_check_instance_cast: Process /usr/...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
abrt_hash:4c869c8cc503eaacca0dc6d9490...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-07 00:30 EDT by yankedong20081020
Modified: 2012-04-22 23:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-21 21:38:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: maps (42.41 KB, text/plain)
2011-07-07 00:30 EDT, yankedong20081020
no flags Details
File: backtrace (64.01 KB, text/plain)
2011-07-07 00:30 EDT, yankedong20081020
no flags Details

  None (edit)
Description yankedong20081020 2011-07-07 00:30:51 EDT
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/share/ibus/ui/gtk/main.py
comment:        When using LibreOffice Writer, switch between English and Chinese input mode frequently.
component:      ibus
crash_function: g_type_check_instance_cast
executable:     /usr/bin/python
kernel:         2.6.38.8-32.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        ibus-1.3.99.20110419-7.fc15
reason:         Process /usr/bin/python was killed by signal 11 (SIGSEGV)
time:           Thu Jul  7 13:14:05 2011
uid:            500
username:       yan
xsession_errors: 

backtrace:      Text file, 65551 bytes
maps:           Text file, 43423 bytes

build_ids:
:5b4afc462e1e582afc08fec52f357c52abeaa843
:318d7ebb9ff61bf5d08d070bb0fa793c4c0d9cb0
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:1ba57a696637c1e23edecbd851a292f85214b29c
:89017ab0b75e533e4294f74ee8f7db3daceea536
:80383824f6f2423ba6bd06e420566a681af4ffbf
:9cd020ec2107c08febe2c8fcabd158212c207854
:0b1f69c75c16ae2ee963cec0721f0e67e2b0f630
:020ea634b00e306a5ba5982d96f7f55c560bee88
:5dddbb646db3ca0f93a9848c66c8a6dd1b335466
:69f772d323d9610bf97a851312b01b54560655b3
:694fb53a7c613376276a794ef6cfcaf9ac79ee86
:aaf62304b0fc10611d35b4f56005479d4c58868d
:9dbefc122aecdf89a041c40b7bc1d214f3c7dd6d
:13ff10a075f084abf260b9dd96618c1037ba3d75
:cdd87cfe38115dcd04c1503689de2a4f5913d6ef
:f62971981ba3a2e59bd0ba347f8e4ad7f7e8fd27
:ebb6702a16d91f29f76e61e919170eba439029c5
:3dd00a31cf09e7d59a58bbcf0750e12401a23e53
:5e0b8d9a449628e2788ac169bc7b6cd643921b41
:91689252818532ec13597b6528d38be93b2706c4
:f6320d3a9d2dccb9d48d2bf7e87b335f336e4123
:381b4d1a68920ac7d5ce745f1eb2b324bb90dc03
:4c7e95adf3ebf234c3296a412389fb303f4facf0
:23b6792e3218744316fd495002f40a037c2e0095
:1be95c1fedae50a8893c5b795d83e6ce653c0181
:ff3cfb2ebc3308e7457547b79eec24f9616907d9
:9c7124f8172c2f993351b55d0e5db3439f9b1bb7
:86536100144c6501a6a66d3bd6967f96d6367f3d
:0b232e446650ce07a3e70bae4f00a7ad5eda2630
:1ec7f89f76e8988f43ceb32fccd92d513dffef8e
:bfe78a8c603507f97b538d3f90408421fe089bc8
:f48a81f4d95986c8870e6f07fc75801f65393f0a
:e56a1c53a3cc7096355bdae521a2bf98041de78d
:2d527d0b32db96f5d2f40732b2e89f37f638969e
:6d29ec444f6caf685125ccdebb7b87eb161c1e68
:b1fc49122f65accdfc46f74613682b9b76e616db
:189c7475c0490584f314acd7377d00adc0fc2b1a
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:f77561c1910d48f6d02230d9837b95851d06a761
:48aea888319e1848137073c9cbde54a4c2a731c9
:4f2a29ba56e8b132731ef8e5d8caf650c8b9b528
:fed3275758c8f9d34f05c69668759e596b98ef20
:5a4d98f9fdc5d255cca58a8fcbbe5bf78a583f25
:f277cf8af7532168ab476e5f7bddaa44e74ff642
:7c13b0a2a8a69328c0a982bb050f291b30326648
:14362c2c5907f3508d173594dfdbc16170fba1bd
:876e109b32b4120f117901480512f2714d629558
:11a85969e5eda71d6e63a47ff86d5581ab89b74a
:e1c31ac7328c5b42c09f2e4083bcd245090621e4
:491c7ad109d751508a100e2f33fdacdebeceb8ad
:c6409fa523aa4b84febdb762bb4cd961df0beb88
:9b3af3c4e04ceb5aaa350786fd48189771cc5d0c
:165a13f152e1ec0630361c3a4f123b88f35b5542
:8f54e64c60f9c57d9c7b302ffbf72531410550ac
:d56c476aaba18f37df2b89a21a10213323c0eb34
:1d96a62981a95493f0c21aadc43d00f6cc23d7a4
:7ce45e6b137ded350b7e4d3e84e27c571e82f9b7
:1c6a95451ee19617be5abea3d121f0226d21ddda
:9e7f9920023c7d8d35e94b041966c802abfbb0a9
:80ed1acfa72ffba7a52d6a2ca45683411c025b51
:144b823e47ef36dd0848dda7714bb412f24f4232
:ebe7a591c99931b940b3d8ddfca3d7e891a69576
:bff42965b5cdcb7004a4abfdcd264d254a59046b
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:585e18f56063dab8934660820f0c63765c6c1a1f
:3a66db60db8c4065c827d710ad7ea7e7bc32de35
:afe4ec94c18bd5228bda21a6e8df520ba8e19e37
:0911ea7c180d733724f89037b8e8a34e64024aec
:fdb40d02de02bf6d2348275c77657d5a08ad6493
:634eca0cadcf35206919dd5e6a8e2e8601276947
:e5f626726497a81807681ed0088dbce6d6a1f17b
:263808e67654286dd52d513eff5f47217feb6bf2
:9ef41f9ca0eabaf3a03dd77eb180e202ab4fe956
:4c842320387ff7f6f91b7842b223c16518be909f
:c8505097cd0f189035790d5d071b81a25d603f2a
:fbb49302f34284c6bcb727b6e283b7cb61c3683d
:5b393a2379bbc2119dd52861b9d85c4a2072b5da
:fbd958413c75ae3fbfb88847de94dd68e58336a7
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:544eb865267266a3a113846a945482a0040a8134
:79d2d2a3e3d39fcde3bea274434562ecbc41b360
:fc6e234c5a3a5c2ffdb70448d5dadceae8eccc54
:77976ba86d7b36b89a8c1d02fbfc8f50986e2d35
:994b4fbd8023922b252c7aa3e1f79152ee364519
:95732a44ff4626574a2c981184614ecab521006f
:4e07b77adb145cc6404542708f22dc48ded94731
:4d5437cf71ea3e4bac1c445da58ca7897d509d15
:48b9e02d2199527bf0b51390ce501d804d2e447b
:74d56d8081dbddfee69a599e8e29c40cddf40af2
:096d5ffaa54bc927bbff329fc72f6207137ad809
:85baa0932b5e1f22b5849c8df62149ab97f7dbc1
:1406558950ff100eb0320a325b3ea7961ba1a775
:9167c56d7bd81878a6d2f1da62d02891ba06740a
:7ff59f3ec00ebb70f32a3f3d6373e19cdc03d0cd
:27301f5062e80c3247bf89aaf21f0a6e3180168f
:4953d1f613914126bccceb3cb96386647ffba9df
:5c94d34eef463a380dece1eac0811d6cb2dea2f9
:4d6609739bd624720009fdf9901028db54026759
:bec9c0cc814f2bf842a3efcb40584acec952b35b
:3cb38edbc184347a707c6c431ca50085bbd5228a
:430727f8c2266b98bd2cad149c613766e50fb5d9
:4ead7e31a3a01781151307f8a41645f011bcb498
:824c7ed12bdc96a755733f7bae01ae6d965465f8
:3e7396aeb0cacf83a7416f50cad1ff2d2d5c1594
:4dc89088668e5bedf89684c2f35eefe8c5315f3c
:aabfae52f2f9cd3da2a88327b8021a05bc700500
:daeeae8aea94646a67ca53fa7d1ba1eb259c0e79
:ba4eadfae3089189ad24469aeb56bfcb883e6a6c

dso_list:
:/lib64/libkeyutils-1.2.so keyutils-libs-1.2-7.fc15.x86_64 (Fedora Project) 1306307895
:/usr/lib64/python2.7/site-packages/cairo/_cairo.so pycairo-1.8.8-2.fc14.x86_64 (Fedora Project) 1306308091
:/lib64/libcrypt-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309749686
:/lib64/libfreebl3.so nss-softokn-freebl-3.12.10-2.fc15.x86_64 (Fedora Project) 1309255355
:/usr/lib64/libpangoft2-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1306308063
:/usr/lib64/libgdk-x11-2.0.so.0.2400.4 gtk2-2.24.4-2.fc15.x86_64 (Fedora Project) 1309255370
:/usr/lib64/gtk-2.0/modules/libatk-bridge.so at-spi2-atk-2.0.1-1.fc15.x86_64 (Fedora Project) 1306322962
:/usr/share/icons/hicolor/icon-theme.cache hicolor-icon-theme-0.12-3.fc15.noarch (Fedora Project) 1306307957
:/lib64/libz.so.1.2.5 zlib-1.2.5-3.fc15.x86_64 (Fedora Project) 1306307885
:/usr/lib64/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so librsvg2-2.32.1-3.fc15.x86_64 (Fedora Project) 1306308066
:/usr/lib64/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.x86_64 (Fedora Project) 1306308059
:/lib64/libgthread-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1308220994
:/usr/lib64/python2.7/lib-dynload/_struct.so python-libs-2.7.1-7.fc15.x86_64 (Fedora Project) 1306307955
:/usr/lib64/python2.7/lib-dynload/_localemodule.so python-libs-2.7.1-7.fc15.x86_64 (Fedora Project) 1306307955
:/usr/lib64/libatspi.so.0.0.1 at-spi2-core-2.0.1-1.fc15.x86_64 (Fedora Project) 1306322892
:/usr/lib64/python2.7/site-packages/gtk-2.0/pynotify/_pynotify.so notify-python-0.1.1-18.fc15.x86_64 (Fedora Project) 1306308073
:/usr/share/icons/gnome/icon-theme.cache gnome-icon-theme-3.0.0-2.fc15.noarch (Fedora Project) 1306307960
:/lib64/libgobject-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1308220994
:/usr/lib64/libcanberra-gtk.so.0.1.8 libcanberra-gtk2-0.28-3.fc15.x86_64 (Fedora Project) 1306308081
:/usr/lib64/libXext.so.6.4.0 libXext-1.2.0-2.fc15.x86_64 (Fedora Project) 1306308058
:/usr/lib64/libgtk-x11-2.0.so.0.2400.4 gtk2-2.24.4-2.fc15.x86_64 (Fedora Project) 1309255370
:/usr/lib/locale/locale-archive glibc-common-2.14-4.x86_64 (Fedora Project) 1309749682
:/usr/lib64/libcroco-0.6.so.3.0.1 libcroco-0.6.2-6.fc15.x86_64 (Fedora Project) 1306307916
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.x86_64 (Fedora Project) 1306308060
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-2.fc15.x86_64 (Fedora Project) 1306307895
:/usr/lib64/python2.7/lib-dynload/operator.so python-libs-2.7.1-7.fc15.x86_64 (Fedora Project) 1306307955
:/usr/lib64/python2.7/lib-dynload/_collectionsmodule.so python-libs-2.7.1-7.fc15.x86_64 (Fedora Project) 1306307955
:/usr/lib64/libcanberra.so.0.2.5 libcanberra-0.28-3.fc15.x86_64 (Fedora Project) 1306308060
:/usr/lib64/gtk-2.0/modules/libcanberra-gtk-module.so libcanberra-gtk2-0.28-3.fc15.x86_64 (Fedora Project) 1306308081
:/usr/lib64/libgvfscommon.so.0.0.0 gvfs-1.8.2-1.fc15.x86_64 (Fedora Project) 1308221036
:/usr/lib64/libfontconfig.so.1.4.4 fontconfig-2.8.0-3.fc15.x86_64 (Fedora Project) 1306307950
:/lib64/libdl-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309749686
:/usr/lib64/python2.7/site-packages/gtk-2.0/pango.so pygtk2-2.24.0-3.fc15.x86_64 (Fedora Project) 1306322883
:/lib64/libgio-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1308220994
:/usr/lib64/libnotify.so.4.0.0 libnotify-0.7.3-1.fc15.x86_64 (Fedora Project) 1308220996
:/usr/lib64/python2.7/site-packages/glib/_glib.so pygobject2-2.28.6-1.fc15.x86_64 (Fedora Project) 1309255375
:/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/_gtk.so pygtk2-2.24.0-3.fc15.x86_64 (Fedora Project) 1306322883
:/usr/lib64/python2.7/lib-dynload/_bisectmodule.so python-libs-2.7.1-7.fc15.x86_64 (Fedora Project) 1306307955
:/lib64/libm-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309749686
:/lib64/ld-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309749686
:/usr/lib64/libpng12.so.0.44.0 libpng-2:1.2.44-3.fc15.x86_64 (Fedora Project) 1306307886
:/usr/share/fonts/abattis-cantarell/Cantarell-Regular.otf abattis-cantarell-fonts-0.0.6-1.fc15.noarch (Fedora Project) 1306308050
:/usr/lib64/python2.7/lib-dynload/_heapq.so python-libs-2.7.1-7.fc15.x86_64 (Fedora Project) 1306307955
:/lib64/libnss_files-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309749686
:/usr/lib64/python2.7/lib-dynload/_functoolsmodule.so python-libs-2.7.1-7.fc15.x86_64 (Fedora Project) 1306307955
:/usr/lib64/libXcomposite.so.1.0.0 libXcomposite-0.4.3-2.fc15.x86_64 (Fedora Project) 1306308059
:/usr/lib64/libvorbisfile.so.3.3.4 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1306307894
:/usr/lib64/gtk-2.0/modules/libpk-gtk-module.so PackageKit-gtk-module-0.6.15-2.fc15.x86_64 (Fedora Project) 1309749717
:/lib64/libutil-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309749686
:/lib64/libcom_err.so.2.1 libcom_err-1.41.14-2.fc15.x86_64 (Fedora Project) 1306307886
:/usr/lib64/libfreetype.so.6.6.2 freetype-2.4.4-4.fc15.x86_64 (Fedora Project) 1306307885
:/usr/lib64/python2.7/site-packages/gtk-2.0/pangocairo.so pygtk2-2.24.0-3.fc15.x86_64 (Fedora Project) 1306322883
:/usr/lib64/libpython2.7.so.1.0 python-libs-2.7.1-7.fc15.x86_64 (Fedora Project) 1306307955
:/lib64/libudev.so.0.11.1 libudev-167-4.fc15.x86_64 (Fedora Project) 1306307889
:/lib64/libkrb5.so.3.3 krb5-libs-1.9.1-5.fc15.x86_64 (Fedora Project) 1310009173
:/usr/lib64/libvorbis.so.0.4.5 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1306307894
:/lib64/libgmodule-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1308220994
:/usr/lib64/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.x86_64 (Fedora Project) 1306307892
:/usr/bin/python python-2.7.1-7.fc15.x86_64 (Fedora Project) 1306307955
:/usr/lib64/python2.7/site-packages/gobject/_gobject.so pygobject2-2.28.6-1.fc15.x86_64 (Fedora Project) 1309255375
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-1.fc15.x86_64 (Fedora Project) 1306308058
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.x86_64 (Fedora Project) 1306308058
:/usr/lib64/python2.7/site-packages/_dbus_bindings.so dbus-python-0.83.0-8.fc15.x86_64 (Fedora Project) 1306307960
:/usr/lib64/python2.7/lib-dynload/pyexpat.so python-libs-2.7.1-7.fc15.x86_64 (Fedora Project) 1306307955
:/usr/lib64/libtdb.so.1.2.9 libtdb-1.2.9-9.fc15.x86_64 (Fedora Project) 1306307890
:/usr/lib64/libxml2.so.2.7.8 libxml2-2.7.8-6.fc15.x86_64 (Fedora Project) 1306307886
:/usr/lib64/libpyglib-2.0-python.so.0.0.0 pygobject2-2.28.6-1.fc15.x86_64 (Fedora Project) 1309255375
:/usr/lib64/python2.7/lib-dynload/binascii.so python-libs-2.7.1-7.fc15.x86_64 (Fedora Project) 1306307955
:/lib64/libdbus-1.so.3.5.4 dbus-libs-1:1.4.6-4.fc15.x86_64 (Fedora Project) 1306307886
:/lib64/libk5crypto.so.3.1 krb5-libs-1.9.1-5.fc15.x86_64 (Fedora Project) 1310009173
:/usr/lib64/librsvg-2.so.2.32.1 librsvg2-2.32.1-3.fc15.x86_64 (Fedora Project) 1306308066
:/usr/lib64/libpangocairo-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1306308063
:/usr/lib64/python2.7/lib-dynload/timemodule.so python-libs-2.7.1-7.fc15.x86_64 (Fedora Project) 1306307955
:/usr/share/fonts/wqy-zenhei/wqy-zenhei.ttc wqy-zenhei-fonts-0.9.46-2.fc15.noarch (Fedora Project) 1306308325
:/lib64/libc-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309749686
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1306307895
:/usr/share/icons/Mist/icon-theme.cache gnome-themes-2.32.0-6.fc15.noarch (Fedora Project) 1306308098
:/usr/lib64/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.x86_64 (Fedora Project) 1306308059
:/usr/lib64/libltdl.so.7.3.0 libtool-ltdl-2.4-4.fc15.x86_64 (Fedora Project) 1306307893
:/usr/lib64/python2.7/site-packages/gtk-2.0/gio/_gio.so pygobject2-2.28.6-1.fc15.x86_64 (Fedora Project) 1309255375
:/lib64/libgcc_s-4.6.0-20110530.so.1 libgcc-4.6.0-9.fc15.x86_64 (Fedora Project) 1308220984
:/usr/lib64/python2.7/site-packages/_dbus_glib_bindings.so dbus-python-0.83.0-8.fc15.x86_64 (Fedora Project) 1306307960
:/usr/lib64/libXi.so.6.1.0 libXi-1.4.3-1.fc15.x86_64 (Fedora Project) 1308220998
:/usr/lib64/libgailutil.so.18.0.1 gtk2-2.24.4-2.fc15.x86_64 (Fedora Project) 1309255370
:/usr/lib64/python2.7/lib-dynload/itertoolsmodule.so python-libs-2.7.1-7.fc15.x86_64 (Fedora Project) 1306307955
:/usr/lib64/python2.7/lib-dynload/stropmodule.so python-libs-2.7.1-7.fc15.x86_64 (Fedora Project) 1306307955
:/usr/lib64/python2.7/lib-dynload/_socketmodule.so python-libs-2.7.1-7.fc15.x86_64 (Fedora Project) 1306307955
:/usr/lib64/python2.7/site-packages/gtk-2.0/gio/unix.so pygobject2-2.28.6-1.fc15.x86_64 (Fedora Project) 1309255375
:/lib64/librt-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309749686
:/lib64/libresolv-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309749686
:/usr/lib64/libffi.so.5.0.10 libffi-3.0.9-2.fc15.x86_64 (Fedora Project) 1306307890
:/lib64/libgssapi_krb5.so.2.2 krb5-libs-1.9.1-5.fc15.x86_64 (Fedora Project) 1310009173
:/usr/lib64/libibus-1.0.so.0.0.0 ibus-libs-1.3.99.20110419-7.fc15.x86_64 (Fedora Project) 1309749691
:/lib64/libglib-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1308220994
:/usr/lib64/libogg.so.0.7.1 libogg-2:1.2.2-3.fc15.x86_64 (Fedora Project) 1306307890
:/usr/lib64/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.x86_64 (Fedora Project) 1306308060
:/usr/lib64/libpixman-1.so.0.20.2 pixman-0.20.2-2.fc15.x86_64 (Fedora Project) 1306307894
:/lib64/libcrypto.so.1.0.0d openssl-1.0.0d-1.fc15.x86_64 (Fedora Project) 1306307952
:/usr/lib64/libssl.so.1.0.0d openssl-1.0.0d-1.fc15.x86_64 (Fedora Project) 1306307952
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc15.x86_64 (Fedora Project) 1306308058
:/usr/lib64/libatk-1.0.so.0.9.1 atk-2.0.0-1.fc15.x86_64 (Fedora Project) 1306307892
:/usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so gtk2-engines-2.20.2-2.fc15.x86_64 (Fedora Project) 1306308088
:/usr/lib64/gio/modules/libgvfsdbus.so gvfs-1.8.2-1.fc15.x86_64 (Fedora Project) 1308221036
:/usr/lib64/python2.7/lib-dynload/_ssl.so python-libs-2.7.1-7.fc15.x86_64 (Fedora Project) 1306307955
:/usr/lib64/python2.7/lib-dynload/cStringIO.so python-libs-2.7.1-7.fc15.x86_64 (Fedora Project) 1306307955
:/usr/lib64/libgdk_pixbuf-2.0.so.0.2300.3 gdk-pixbuf2-2.23.3-2.fc15.x86_64 (Fedora Project) 1309255368
:/usr/lib64/python2.7/site-packages/gtk-2.0/atk.so pygtk2-2.24.0-3.fc15.x86_64 (Fedora Project) 1306322883
:/usr/lib64/gtk-2.0/modules/libgail.so gtk2-2.24.4-2.fc15.x86_64 (Fedora Project) 1309255370
:/lib64/libpthread-2.14.so glibc-2.14-4.x86_64 (Fedora Project) 1309749686
:/usr/lib64/python2.7/lib-dynload/_ctypes.so python-libs-2.7.1-7.fc15.x86_64 (Fedora Project) 1306307955
:/lib64/libselinux.so.1 libselinux-2.0.99-4.fc15.x86_64 (Fedora Project) 1306307890
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1306307888
:/lib64/libkrb5support.so.0.1 krb5-libs-1.9.1-5.fc15.x86_64 (Fedora Project) 1310009173
:/usr/lib64/libpango-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1306308063
:/usr/lib64/libcairo.so.2.11000.2 cairo-1.10.2-3.fc15.x86_64 (Fedora Project) 1306308059

environ:
:XDG_SESSION_ID=1
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-nq81nbNjFw,guid=b983f1d1f4b504dfec1e005800000020
:SHELL=/bin/bash
:XDG_SESSION_COOKIE=97391c90d65387eb730e8ca00000000c-1310009415.236729-116731724
:IBUS_DATAROOTDIR=/usr/share
:GNOME_KEYRING_CONTROL=/tmp/keyring-LX2EHf
:USER=yan
:USERNAME=yan
:PATH=/usr/local/bin:/usr/bin:/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/tmp
:XMODIFIERS=@im=ibus
:LANG=en_US.utf8
:GNOME_KEYRING_PID=1310
:GDM_LANG=en_US.utf8
:IBUS_PREFIX=/usr
:GDMSESSION=gnome
:DBUS_STARTER_BUS_TYPE=session
:HOME=/home/yan
:SHLVL=1
:IBUS_LOCALEDIR=/usr/share/locale
:LOGNAME=yan
:LC_CTYPE=en_US.utf8
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-nq81nbNjFw,guid=b983f1d1f4b504dfec1e005800000020
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/yan
:GTK_IM_MODULE=ibus
:XAUTHORITY=/var/run/gdm/auth-for-yan-DOZXvj/database

var_log_messages:
:Jul  7 12:26:33 YKD-PC yum[3780]: Updated: python-IPy-0.75-1.fc15.noarch
:Jul  7 13:14:05 YKD-PC kernel: [ 2659.372983] python[1814]: segfault at 100000001 ip 00007f7648811e91 sp 00007fffce6b73b0 error 4 in libgobject-2.0.so.0.2800.8[7f76487df000+4c000]
:Jul  7 13:14:05 YKD-PC abrt[4124]: saved core dump of pid 1814 (/usr/bin/python) to /var/spool/abrt/ccpp-2011-07-07-13:14:05-1814.new/coredump (17158144 bytes)
Comment 1 yankedong20081020 2011-07-07 00:30:55 EDT
Created attachment 511617 [details]
File: maps
Comment 2 yankedong20081020 2011-07-07 00:30:56 EDT
Created attachment 511618 [details]
File: backtrace
Comment 3 yankedong20081020 2011-07-07 00:31:27 EDT
Package: ibus-1.3.99.20110419-7.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
When using LibreOffice Writer, switch between English and Chinese input mode frequently.
Comment 4 fujiwara 2011-07-07 03:42:55 EDT
(In reply to comment #2)
> Created attachment 511618 [details]
> File: backtrace

I cannot reproduce your problem
From your log, the SEGV is caused in gtk_show_all() with gail and depends on the ibus lookup window.
Which characters did you try to show in Chinese ?

#0  g_type_check_instance_cast (type_instance=0x100000001, iface_type=31827728) at gtype.c:3980
#1  0x00007f7644c06a55 in notify_name_change (atk_obj=0x2280470) at gaillabel.c:230
...
#9  0x00007f7648807d5d in g_signal_emit_by_name (instance=0x2086b70, detailed_signal=0x7f7644c26dcb "children-changed::add") at gsignal.c:3077
#10 0x00007f7644c17ae3 in gail_toplevel_show_event_watcher (ihint=<optimized out>, n_param_values=<optimized out>, param_values=<optimized out>, data=<optimized out>) at gailtoplevel.c:248
...
#13 0x00007f7648807b72 in g_signal_emit (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>) at gsignal.c:3040
#14 0x0000003772e8cf66 in IA__gtk_widget_show (widget=0x212a350 [GtkWindow]) at gtkwidget.c:3221
#15 IA__gtk_widget_show (widget=0x212a350 [GtkWindow]) at gtkwidget.c:3212
#16 0x00007f76462ee26d in _wrap_gtk_widget_show_all (self=0x1feb320) at gtk.c:7900
...
#27 PyEval_EvalFrameEx (f=<optimized out>, throwflag=<optimized out>) at /usr/src/debug/Python-2.7.1/Python/ceval.c:2722
        names = ('hide_lookup_table', 'ibus', 'LookupTable', '_CandidatePanel__lookup_table', 'get_orientation', 'ORIENTATION_HORIZONTAL', 'ORIENTATION_VERTICAL', '_CandidatePanel__orientation', 'set_current_orientation', '_CandidatePanel__refresh_candidates', '_CandidatePanel__refresh_labels', 'show_lookup_table')
        consts = (None,)

Now ibus-1.3.99.20110419-9.fc15 is available:
# yum install --enablerepo=updates-testing ibus

It seems LibreOffice uses GTK2 but gnome-settings-daemon is based on GTK3.
I guess if you remove /usr/lib64/gnome-settings-daemon-3.0/gtk-modules/at-spi2-atk.desktop, your problem won't be happened.
Comment 5 yankedong20081020 2011-07-14 02:47:53 EDT
I cannot remember what Chinese characters I tried to input. Thank you for your comments!
Comment 6 yankedong20081020 2011-07-14 02:49:03 EDT
(In reply to comment #4)

I cannot remember what Chinese characters I tried to input. Thank you for your
comments!
Comment 7 fujiwara 2011-07-21 21:38:53 EDT
OK, if you still see your problem, please comment it here again.
Thanks.
Comment 8 Flos Lonicerae 2012-04-21 12:45:35 EDT
Hi fujiwara,

could you reopen this bug? i meet the same problem.

--- Running report_Bugzilla ---
This problem was already reported to Bugzilla (see 'https://bugzilla.redhat.com/show_bug.cgi?id=719505'). Do you still want to create a new bug? YES
正在登陆位于 https://bugzilla.redhat.com 的 Bugzilla
检查是否有重复
错误已经汇报:719505
正在注销
Status: CLOSED WORKSFORME https://bugzilla.redhat.com/show_bug.cgi?id=719505
Comment 9 fujiwara 2012-04-22 23:02:10 EDT
(In reply to comment #8)
> Hi fujiwara,
> 
> could you reopen this bug? i meet the same problem.

I don't think your problem and this are same.
Please reply my question at first as you also commented another bug.

Note You need to log in before you can comment on or make changes to this bug.